/* $Author: claudio $
*
* $Revision: 1.1.1.1 $
*
* $Log: interpolatingpolynomial.h,v $
* Revision 1.1.1.1  2012-09-05 08:17:22  claudio
* Interpolator utility classes
*
*/

#ifndef INTERPOLATOR_INTERPOLATINGPOLYNOMIAL_H
#define INTERPOLATOR_INTERPOLATINGPOLYNOMIAL_H



/**
* @struct Interpolator::InterpolatingPolynomial
* Auxiliary class ( a struct ) to be used as an argument for various class
* constructors.
* Filled by reading data from the database or from other data sources by means of factory classes
*/



namespace Interpolator{

struct InterpolatingPolynomial
{
	double xMin;	///< minimum X value
	double xMax;	///< maximum X value
	doubleVector coefficient; ///< vector of polynomial cofficients. cofficient[i] is for polynomial coefficient of degree i
};

/**
 * std::vector of InperpolatingPolynomial
 */

typedef std::vector<InterpolatingPolynomial> InterpolatingPolynoamialVector;

} // close namespace Interpolator

#endif // INTERPOLATOR_INTERPOLATINGPOLYNOMIAL_H
